namespace CMSMicroservice.Application.UserCartsCQ.Queries.GetAllUserCartsByFilter;
public class GetAllUserCartsByFilterQueryValidator : AbstractValidator<GetAllUserCartsByFilterQuery>
{
    public GetAllUserCartsByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllUserCartsByFilterQuery>.CreateWithOptions((GetAllUserCartsByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
